Subject: Proposal to charge for commercial use of ISO country codes?

From: Graham Klyne <[email-masked]>
Date: Sat, 20 Sep 2003 16:41:18 +0100

The following may be of concern to users of IETF standards, particularly 
with respect to use of RFC3066 [3] (which itself cites ISO 3166 and ISO 
639) and other standards that reference it.

W3C has published the text of a letter [1] sent to ISO president Dr. Oliver 
Smoot expressing concern about a suggestion that ISO would charge software 
developers to use ISO codes in their products:

[[
"Companies who develop software products for sale to other parties are 
adding value to their products by including the data elements from an ISO 
Code in proper applications ...via the sale of the product the developing 
company is not only being compensated for its direct efforts to incorporate 
the ISO Codes in apropriate locations but it is also being compensated for 
trhe value the ISO Codes have added to its product. The ISO community 
should also be compensated for providing the intellectual property required 
to incorporate the value-added features into the product."
]]
-- excerpted from [2]

#g
--

[1] http://lists.w3.org/Archives/Public/www-international/2003JulSep/0213

[2] http://www.ncits.org/archive/2003/in031008/in031008.htm

[3] http://www.ietf.org/rfc/rfc3066.txt

------------
Graham Klyne
[email-masked]

---

From: John C Klensin <[email-masked]>
Date: Mon, 22 Sep 2003 13:22:02 -0400

Unless Ollie's intent is being misinterpreted --the statement 
isn't completely clear to me-- this idea is nuts.  The whole 
foundation of the voluntary standards model, of which ISO would 
like to consider itself the center, is that there are never any 
licensing fees for using a standard (excessive document-purchase 
fees, maybe, but not licensing fees for use :-(  ).

In the case of those code lists, especially 3166, I'd assume 
that some other body would rapidly work out an agreement with 
the UN source of the entries and that would be the end of ISO's 
role.  As the W3C note sort of points out, that would be very 
disruptive and would serve no one's interests, least of all that 
of ISO's status and reputation.

Just my opinion, of course.
    john

--On Saturday, 20 September, 2003 16:41 +0100 Graham Klyne 
<[email-masked]> wrote:

> The following may be of concern to users of IETF standards,
> particularly with respect to use of RFC3066 [3] (which itself
> cites ISO 3166 and ISO 639) and other standards that reference
> it.
>
> W3C has published the text of a letter [1] sent to ISO
> president Dr. Oliver Smoot expressing concern about a
> suggestion that ISO would charge software developers to use
> ISO codes in their products:
>
> [[
> "Companies who develop software products for sale to other
> parties are adding value to their products by including the
> data elements from an ISO Code in proper applications ...via
> the sale of the product the developing company is not only
> being compensated for its direct efforts to incorporate the
> ISO Codes in apropriate locations but it is also being
> compensated for trhe value the ISO Codes have added to its
> product. The ISO community should also be compensated for
> providing the intellectual property required to incorporate
> the value-added features into the product."
> ]]
> -- excerpted from [2]
>
># g
> --
>
> [1]
> http://lists.w3.org/Archives/Public/www-international/2003JulS
> ep/0213
>

---

From: [email-masked]
Date: Mon, 22 Sep 2003 15:13:31 -0400

> of ISO's status and reputation.

The same week as Verisign's stunt.  Coincidence? Maybe not... ;)

---

From: "Anthony Atkielski" <[email-masked]>
Date: Tue, 23 Sep 2003 02:50:40 +0200

> The same week as Verisign's stunt.  Coincidence? Maybe

Are there drugs that produce irrational greed?

---

From: Nathaniel Borenstein <[email-masked]>
Date: Tue, 23 Sep 2003 09:20:04 -0400

Weird things often seem to come in threes.  The third IP-related  
insanely greedy weirdness for last week involved the Dewey Decimal  
system and its current corporate, er, guardians:

> http://www.newsday.com/news/nationworld/wire/sns-ap-dewey-decimal- 
> defenders,0,2420724.story?coll=sns-ap-nationworld-headlines

---

From: "Anthony Atkielski" <[email-masked]>
Date: Tue, 23 Sep 2003 16:11:51 +0200

> > defenders,0,2420724.story?coll=sns-ap-nationworld-headlines

Maybe it's time to replace the Dewey Decimal system, the ISO, and Verisign.
When organizations charged with the public trust begin to see it as only a
cash cow to be milked shamelessly and indiscriminately, it's time to find
other caretakers for that trust.

---

From: Donald Eastlake 3rd <[email-masked]>
Date: Thu, 25 Sep 2003 14:50:43 -0400 (EDT)

If ISO is never going to charge for use of such fundamental standards as 
country codes, it should warrant that it never will. In todays age of 
"Intellectual Property Rights" madness, their failure to so warrant 
leaves all users vulnerable to arbitrary future disruption and charges.

Thanks,
Donald
======================================================================
 Donald E. Eastlake 3rd                       [email-masked]
 155 Beaver Street              +1-508-634-2066(h)
 Milford, MA 01757 USA                   [email-masked]

On Mon, 22 Sep 2003, John C Klensin wrote:

> Date: Mon, 22 Sep 2003 13:22:02 -0400
> From: John C Klensin <[email-masked]>
> Subject: Re: Proposal to charge for commercial use of ISO country codes?
> 
> > http://lists.w3.org/Archives/Public/www-international/2003JulSep/0213
> >

---

From: John C Klensin <[email-masked]>
Date: Thu, 25 Sep 2003 16:48:28 -0400

Donald,

There are a bunch of grey areas here.  Let's take 3166-1 (the 
country code list) as an example.

ISO sells the 3166 standard, as they sell most of their other 
standards, and does so for relatively serious money (paper or 
PDF of 3166-1 from ISO would cost CHF 148, plus, if I recall, 
some handling fees, but (national) member bodies may sell it at 
other prices).  If one wants the 3166-1 code list in "database" 
form (Microsoft Access), they want CHF 148 for that too, with a 
package price if you want both the database and the PDF version. 

The Internet community has never been really hot on the idea 
(Carl Malamud's many efforts are excellent examples), but ISO 
supports a lot of its efforts by selling standards, and this is 
just an example.  Nothing to be done about the costs of those 
standards other than continuing to point out that it may not be 
strategically wise (which various of us do regularly, Carl 
probably most persuasively) and to evaluate the impact of those 
costs when we use or reference one of their standards (which I 
trust WGs and the IESG do).

In a move that is, overall, unusual given the "sell standards to 
support the business" model, they have made part of the 3166-1 
list (the alpha-2 codes --which are what we use-- and the 
short-form country names) available "for internal use and 
non-commercial purposes" online and without charge in HTML, XML, 
and semicolon-delimited forms.  This is clearly beneficial to 
the community, and we should express our appreciation to them 
for making the information readily available for free and in 
relatively unrestricted.  We have done that, although possibly 
not in a public enough way.

For details on the current situation with 3166, wander through 
the pages starting at
http://www.iso.org/iso/en/prods-services/iso3166ma/index.html

Now, one of the ways to read the original note is that, if 
someone gets the "database" file from them and redistributes it 
(it its original form or converted to some other database 
format), then ISO is entitled to a royalty.  If they have the 
right to charge, at above distribution costs, for the database 
form in the first place, that is probably a no-brainer.  We 
don't have to like it much, but that is, again, another issue. 
And it is pretty harmless relative to where we stand today, 
without the proposed policy.

Another way to read the note is that they are proposing to 
charge for _use_ of the codes.  In its extreme form (the form 
that caused my "idea is nuts" comment earlier), that would imply 
that I might owe, or some banker might owe, ISO something for 
using the designation "CHF" for the currency in which prices for 
ISO standards are denoted -- those codes for the names of 
currencies consist of the 3166-1 alpha-2 country code plus a 
one-letter code for the currency.  Would they actually try to do 
that?  I have my doubts.  Should they be told it would be a bad 
idea?  Yes, and I understand that W3C and the IAB have already 
sent those messages... others might be in order.   What would be 
the impact if they tried?  Well, I'll leave most speculation 
about it to the amateur lawyers, but my guess is that if, e.g., 
they sent a bill to the US Treasury Department each time someone 
put "USD" at the top of a currency conversion table in a 
newspaper column, well, I'd guess the big question is whether 
someone would bother to pronounce the words "national 
sovereignty" before ignoring them.

As an even more implausible idea, contemplate being charged for 
receiving this message, since the characters in it are encoded 
consistent with an ISO standard.   Sorry, that is implausible 
enough that I don't think we need to worry about it.

I don't personally think it is worth the energy but, if we 
decided we were seriously concerned about the issue, we could 
tell ISO --and ISO/IEC JTC1-- that we won't permit references to 
any more of their documents until they establish a policy-level 
("Category A") liaison with us at the ISO and JTC1 levels, so 
that we could have direct input into these sorts of ideas.  My 
hunch is that we'd be shooting ourselves in the foot --at best, 
it would take them a long time to make that decision and we 
really do benefit from using established standards, especially 
ones that are outside our area of expertise.  But, IMO, we would 
get a lot further that way than asking for warranties.

best,
     john

--On Thursday, 25 September, 2003 14:50 -0400 Donald Eastlake 
3rd <[email-masked]> wrote:

> If ISO is never going to charge for use of such fundamental
> standards as  country codes, it should warrant that it never
> will. In todays age of  "Intellectual Property Rights"
> madness, their failure to so warrant  leaves all users
> vulnerable to arbitrary future disruption and charges.
>
> Thanks,
> Donald
> ==============================================================
> ========  Donald E. Eastlake 3rd
> [email-masked]  155 Beaver Street
> +1-508-634-2066(h)
>  Milford, MA 01757 USA
>> foundation of the voluntary standards model, of which ISO
>> would  like to consider itself the center, is that there are
>> never any  licensing fees for using a standard (excessive
>> document-purchase  fees, maybe, but not licensing fees for
>> use :-(  ).
>>
>> the UN source of the entries and that would be the end of
>> ISO's  role.  As the W3C note sort of points out, that would
>> be very  disruptive and would serve no one's interests, least
>> of all that  of ISO's status and reputation.
>>
>> > particularly with respect to use of RFC3066 [3] (which
>> > itself cites ISO 3166 and ISO 639) and other standards that
>> > reference it.
>> >

---

From: "Anthony Atkielski" <[email-masked]>
Date: Fri, 26 Sep 2003 01:01:48 +0200

John writes:

> support the business" model, [ISO] have made part of the 3166-1
> and semicolon-delimited forms.

What choice do they have?  Two-letter codes cannot be copyrighted, patented,
or protected by trademarks in this context.  How could they _restrict_ the
use of the codes?

Will the USPS soon begin charging people for putting ZIP codes on their
envelopes?